> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Search resource models

GET https://example.itential.io/lifecycle-manager/resources

Searches resource models.

Reference: https://docs.itential.com/itential-platform/6/api-reference/lifecycle-manager/get-resource-models-http

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `skip` (string, optional) — This parameter specifies where to start the returned page of search results.
- `limit` (string, optional) — This parameter specifies how many items to return in the search results.
- `sort` (string, optional) — This parameter specifies the field to sort the search results over.
- `order` (enum, optional) — This parameter specifies the direction to sort the search results over.
  - Allowed values: `asc`, `desc`
- `equals` (object, optional) — equals
  - `_id` (any, optional)
  - `name` (string, optional) — The name of the resource model
  - `created` (any, optional) — An ISO date string denoting when this resource model was created
  - `lastUpdated` (any, optional) — An ISO date string denoting when this resource model was last updated
- `starts-with` (object, optional) — starts-with
  - `name` (string, optional) — The name of the resource model
- `contains` (object, optional) — contains
  - `name` (string, optional) — The name of the resource model
- `lt` (object, optional) — lt
  - `created` (any, optional) — An ISO date string denoting when this resource model was created
  - `lastUpdated` (any, optional) — An ISO date string denoting when this resource model was last updated
- `lte` (object, optional) — lte
  - `created` (any, optional) — An ISO date string denoting when this resource model was created
  - `lastUpdated` (any, optional) — An ISO date string denoting when this resource model was last updated
- `gt` (object, optional) — gt
  - `created` (any, optional) — An ISO date string denoting when this resource model was created
  - `lastUpdated` (any, optional) — An ISO date string denoting when this resource model was last updated
- `gte` (object, optional) — gte
  - `created` (any, optional) — An ISO date string denoting when this resource model was created
  - `lastUpdated` (any, optional) — An ISO date string denoting when this resource model was last updated
- `dereference` (string, optional) — Comma-separated list of field types to dereference

## Response

### 200

response

- `data` (list of object, optional)
  - `_id` (any, required)
  - `name` (string, required) — The name of the resource model
  - `description` (string, required, default: ) — Free-form text describing the resource model
  - `schema` (any, required) — A draft-07 JSON Schema which defines the validation applied to instances of the resource model
  - `created` (any, required) — An ISO date string denoting when this resource model was created
  - `createdBy` (any, required) — The account identifier of the user who created this resource model
  - `lastUpdated` (any, required) — An ISO date string denoting when this resource model was last updated
  - `lastUpdatedBy` (any, required) — The account identifier of the user who last updated this resource model
  - `actions` (list of object, optional)
    - `_id` (any, required) — The identifier of an action
    - `name` (string, required) — The name of the action
    - `type` (enum, required) — The type of the action
      - Allowed values: `create`, `update`, `delete`
    - `preWorkflowJst` (string, required, nullable) — Optional transformation to be applied to incoming parameters before providing them to the workflow.
    - `postWorkflowJst` (string, required, nullable) — Optional transformation to be applied to the workflow's outputs before updating the instance.
    - `description` (string, optional, default: ) — Free-form text describing the purpose of the action
    - `inputSchema` (object, optional) — The schema describing inputs to this action
    - `outputSchema` (object, optional) — The schema describing inputs to this action
- `metadata` (object, optional) — Properties describing search result pagination
  - `skip` (integer, optional)
  - `limit` (integer, optional)
  - `total` (integer, optional)
  - `nextPageSkip` (integer, optional)
  - `previousPageSkip` (integer, optional)
  - `currentPageSize` (integer, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "name": "VLAN Service",
      "description": "This resource model represents something we use on a day-to-day basis.",
      "schema": null,
      "created": null,
      "createdBy": null,
      "lastUpdated": null,
      "lastUpdatedBy": null,
      "actions": [
        {
          "_id": null,
          "name": "Create",
          "type": "create",
          "preWorkflowJst": "62a1f3d2ebedfc54e6e0065c",
          "postWorkflowJst": "62a1f3d2ebedfc54e6e0065c",
          "description": "Creates a new VLAN service instance",
          "inputSchema": {},
          "outputSchema": {},
          "workflow": null
        }
      ]
    }
  ],
  "metadata": {
    "skip": 1,
    "limit": 1,
    "total": 1,
    "nextPageSkip": 1,
    "previousPageSkip": 1,
    "currentPageSize": 1
  },
  "message": "Successfully created the requested item"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/lifecycle-manager/resources"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/lifecycle-manager/resources';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/lifecycle-manager/resources"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/lifecycle-manager/resources")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/lifecycle-manager/resources")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/lifecycle-manager/resources');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/lifecycle-manager/resources");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/lifecycle-manager/resources")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```